package test.org.mule.tck;

import java.lang.reflect.Field;

import junit.framework.TestCase;

public class MuleTestUtils {

    public static String getName(TestCase testCase) {
        try {
            Field field = TestCase.class.getDeclaredField("fName");
            field.setAccessible(true);
            return (String) field.get(testCase);
        } catch (NoSuchFieldException e) {
            throw new Error(e);
        } catch (IllegalAccessException e) {
            throw new Error(e);
        }
    }

}
